package myplugin;

import net.miginfocom.swing.MigLayout;

import com.mythicscape.batclient.interfaces.BatClientPlugin;
import com.mythicscape.batclient.interfaces.BatClientPluginTrigger;
import com.mythicscape.batclient.interfaces.ParsedResult;
import com.thoughtworks.xstream.XStream;

public class MyPluginTrigger extends BatClientPlugin implements BatClientPluginTrigger{

	public void loadPlugin() {
		this.getClientGUI().printText("generic", "--- Loading MyPluginTrigger ---\n");
		
		// Create objects from external libraries to show as examples
		XStream xStream = new XStream();
		MigLayout mig = new MigLayout();
	}
	
	@Override
	public void process(Object data){
		// Called when the trigger is executed (from commandline for example)
		// Read more in BatClientPlugin
		System.out.println("MyPluginTrigger process");
	}
	
	public String getName(){
		return "MyPluginTrigger";
	}

	@Override
	public ParsedResult trigger(ParsedResult arg0) {
		
		// return null if it did nothing, read more about it in BatClientPluginTrigger interface.
		return null;
	}
}
